/**
 *  @file bltwebd.h
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project
 */

#ifndef __BLTWEBD_H__
#define __BLTWEBD_H__

#define _GNU_SOURCE
#include <time.h>
#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <string.h>
#include <signal.h>

#define DN_HASH 1
#define BLT_SERVER_DEFAULT_PORT 4445

#define DEBUG
/*#define DEBUG2
#define DEBUG3
*/

#include "blt.h"
#include "names.h"
#include "location.h"
#include "util.h"
#include "network.h"
#include "data.h"
#include "bluetooth_class.h"

#endif
